GPIONOTIFY(1)

NAME
gpionotify - libgpiod command-line utility

SYNOPSIS
gpionotify [OPTIONS] <line>...

DESCRIPTION
Wait for changes to info on GPIO lines and print them to standard output.

Lines are specified by name, or optionally by offset if the chip option is provided.

OPTIONS

--banner
    display a banner on successful startup

--by-name
    treat lines as names even if they would parse as an offset

-c, --chip <chip>
    restrict scope to a particular chip

-e, --event <event>
    specify the events to monitor Possible values: 'requested', 'released', 'reconfigured'. (default is all events)

-h, --help
    display this help and exit

-F, --format <fmt>
    specify a custom output format

--idle-timeout <period>
    exit gracefully if no events occur for the period specified

--localtime
    convert event timestamps to local time

-n, --num-events <num>
    exit after processing num events

-q, --quiet
    don't generate any output

-s, --strict
    abort if requested line names are not unique

--unquoted
    don't quote line or consumer names

--utc
    convert event timestamps to UTC

-v, --version
    output version information and exit

  Chips:

    A GPIO chip may be identified by number, name, or path. e.g. '0', 'gpiochip0', and '/dev/gpiochip0' all refer to the same chip.

  Periods:

    Periods are taken as milliseconds unless units are specified. e.g. 10us. Supported units are 'm', 's', 'ms', and 'us' for minutes, seconds, milliseconds and microseconds respectively.

  Format specifiers:

%o  GPIO line offset

%l  GPIO line name

%c  GPIO chip name

%e  numeric info event type ('1' - requested, '2' - released or '3' - reconfigured)

%E  info event type ('requested', 'released' or 'reconfigured')

%a  line attributes

%C  consumer

%S  event timestamp as seconds

%U  event timestamp as UTC

%L  event timestamp as local time

AUTHOR
Bartosz Golaszewski <brgl@bgdev.pl>

REPORTING BUGS
Report bugs to:
    Bartosz Golaszewski <brgl@bgdev.pl>
    linux-gpio <linux-gpio@vger.kernel.org>

COPYRIGHT
Copyright © 2017-2023 Bartosz Golaszewski License: GPL-2.0-or-later
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.